#Murath Machinist.

Adds The Murath Machinist to ROR2, Based off of the Murath and their ships in Rebel Galaxy.
Multiplayer compatible.

![Lobby](images/Lobby.jpg)

![Idle](images/IdleCropped.png)

![Icon](images/icon.png)

##Overview

The Murath Machinist is a maneuverable ranged survivor with high range and damage.
However, he has low health and a large hitbox.

###Chargeable attacks
All of Murath Machinist's attacks are chargeable.

###Electro Bolt Cannon
Electro Bolt Cannon is a chargable attack, as it charges it's accuracy and burst firerate increases. 
It can be spammed to produce a constant barrage of innacurate projectiles.
Increased attack speed increases the rate this ability charges.

###Dumbfire Impulse missile
Dumbfire Impulse missile is a low damage attack with high force.
Can be charged to increase the force it applies to enemies within it's radius. 
Increased Firerate raises the charge multipler.

###Boost
Quickly move in the direction you're aiming.
Boost Uses a downward arcing trajectory and preserves some velocity on exit. This can be used to land gently on hard to reach places, but can also cause fall damage if you're not careful.

###Overcharge
Overcharge fires four lasers, alternating between cannons each fixed update.
Can be charged to increase Damage and Proc coefficient.
Increased Firerate raises the charge multiplier.

##Known issues
-When using the Secondary or Special after another ability, the reticle bloom does not always react properly and is locked at 0 untill the ability ends.
-Shading is a little finiky on the left gun in the character select screen.
-The laser material throws red errors, but doesn't prevent functionality.

##Objectives
-Remove old imports from the Henry project.
-Add sounds.
-Replace primary projectile model with custome mesh.
-Write lore.
-Fill out description on character select screen.
-Add alt colour scheme for Mastery.
-Add Helmet versions.
-Add alt Utility based on movement direction.
-Add Arrival animation to lobby.

##Possible objectives
-Add Item displays.
-Make combatible with options mod.
-Add some alternate meshes for meeting challenges.
-I would like to give him an alternate Special that acts like the Ramming deflectors in Rebel Galaxy.

##Version 1.0.1
-Removed Debug logs.
-Added explosion effect to Dumbfire missile.
-Added Icons.
-Changed Dumbfire missile's mesh to custom missile mesh.

##Version 1.0.0
-Initial upload.

Model, Animations and Abilities made by Uninvited Calamity.
Character built using the Henry Example by ArcPh1r3.
Special thanks to:
iDeathHD for clarifying how to update this.